<?php
/**
 * @file
 * Default rules for the UC Downpayment module.
 */

/**
 * Implements hook_default_rules_configuration().
 */
function uc_downpayment_default_rules_configuration() {
  $configs = array();
  $rule1 = '{ "uc_update_down_payment_status_on_order_status_update" : {
      "LABEL" : "Update down payment status on order status update",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "Down Payments" ],
      "REQUIRES" : [ "uc_order", "php", "rules" ],
      "ON" : { "uc_order_status_update" : [] },
      "IF" : [
        { "uc_order_condition_order_state" : { "order" : [ "updated-order" ], "order_state" : "completed" } }
      ],
      "DO" : [
        { "php_eval" : { "code" : "foreach ($updated_order-\u003Eproducts as $product) {\r\n  if (isset($product-\u003Edata[\u0027downpayment\u0027]-\u003Edpid)) {\r\n    $num_updated = db_update(\u0027uc_downpayment_payments\u0027)\r\n      -\u003Efields(array(\r\n        \u0027status\u0027 =\u003E 1,\r\n      ))\r\n      -\u003Econdition(\u0027dpid\u0027, $product-\u003Edata[\u0027downpayment\u0027]-\u003Edpid, \u0027=\u0027)\r\n      -\u003Eexecute();\r\n  }\r\n}" } }
      ]
    }
  }';
  $configs['uc_update_down_payment_status_on_order_status_update'] = rules_import($rule1);
  return $configs;
}