<?php
/**
 * @file
 * Views 3 hooks and callback registries.
 */

/**
 * Implements hook_views_data().
 */
function uc_downpayment_views_data() {
  $data['uc_downpayment_payments']['table']['group'] = t('Down payments');

  $data['uc_downpayment_payments']['table']['base'] = array(
    'field' => 'dpid',
    'title' => t('Down payments'),
    'help' => t('Down payments.'),
    'weight' => -10,
  );

  $data['uc_downpayment_payments']['table']['join']['node'] = array(
      'left_field' => 'nid',
      'field' => 'nid',
  );

  $data['node']['table']['join']['uc_downpayment_payments'] = array(
    'left_field' => 'nid',
    'field' => 'nid',
  );

  $data['users']['table']['join']['uc_downpayment_payments'] = array(
    'left_field' => 'uid',
    'field' => 'uid',
  );

  $data['uc_downpayment_payments']['table']['join']['uc_orders'] = array(
    'left_field' => 'order_id',
    'field' => 'order_id',
  );

  $data['uc_downpayment_payments']['dpid'] = array(
    'title' => t('Down payment ID'),
    'help' => t('Unique identifier for the down payment.'),
    'field' => array(
      'handler' => 'uc_downpayment_handler_field_dpid',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
  );

  $data['uc_downpayment_payments']['order_id'] = array(
    'title' => t('Order ID'),
    'help' => t('The original order id.'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  $data['uc_downpayment_payments']['order_product_id'] = array(
    'title' => t('Order product ID'),
    'help' => t('The original order product id.'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
      'name field' => 'order_product_id',
      'numeric' => TRUE,
      'validate type' => 'order_product_id',
    ),
  );

  $data['uc_downpayment_payments']['amount'] = array(
    'title' => t('Amount'),
    'help' => t('The down payment price.'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
      'float' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_float',
    ),
  );

  $data['uc_downpayment_payments']['date'] = array(
    'title' => t('Due date'),
    'help' => t('Down payment due date.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );

  $data['uc_downpayment_payments']['status'] = array(
    'title' => t('Down payment Status'),
    'help' => t('The status of the down payment'),
    'field' => array(
      'handler' => 'uc_downpayment_handler_field_status',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'uc_downpayment_handler_filter_status',
    ),
  );

  return $data;
}