<?php
/**
 * @file
 * UC Down Payment default views.
 */

/**
 * Implements hook_views_default_views().
 */
function uc_downpayment_views_default_views() {
  $views = array();
  $view = new view();
  $view->name = 'uc_downpayment_admin';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'uc_order_products';
  $view->human_name = 'uc_downpayment_admin';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Partially paid orders';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view all down payments';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'order_product_id' => 'order_product_id',
    'billing_first_name' => 'billing_first_name',
    'billing_last_name' => 'billing_last_name',
    'billing_full_name' => 'billing_full_name',
    'php' => 'php',
    'created' => 'created',
    'php_1' => 'php_1',
    'php_2' => 'php_2',
    'php_3' => 'php_3',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'order_product_id' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'billing_first_name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'billing_last_name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'billing_full_name' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'php' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'php_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'php_2' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'php_3' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no partially paid orders.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Field: Ordered product: Order product ID */
  $handler->display->display_options['fields']['order_product_id']['id'] = 'order_product_id';
  $handler->display->display_options['fields']['order_product_id']['table'] = 'uc_order_products';
  $handler->display->display_options['fields']['order_product_id']['field'] = 'order_product_id';
  $handler->display->display_options['fields']['order_product_id']['label'] = '';
  $handler->display->display_options['fields']['order_product_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['order_product_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['order_product_id']['separator'] = '';
  $handler->display->display_options['fields']['order_product_id']['link_to_entity'] = 0;
  /* Field: Order: Billing address: First name */
  $handler->display->display_options['fields']['billing_first_name']['id'] = 'billing_first_name';
  $handler->display->display_options['fields']['billing_first_name']['table'] = 'uc_orders';
  $handler->display->display_options['fields']['billing_first_name']['field'] = 'billing_first_name';
  $handler->display->display_options['fields']['billing_first_name']['label'] = '';
  $handler->display->display_options['fields']['billing_first_name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['billing_first_name']['element_label_colon'] = FALSE;
  /* Field: Order: Billing address: Last name */
  $handler->display->display_options['fields']['billing_last_name']['id'] = 'billing_last_name';
  $handler->display->display_options['fields']['billing_last_name']['table'] = 'uc_orders';
  $handler->display->display_options['fields']['billing_last_name']['field'] = 'billing_last_name';
  $handler->display->display_options['fields']['billing_last_name']['label'] = '';
  $handler->display->display_options['fields']['billing_last_name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['billing_last_name']['element_label_colon'] = FALSE;
  /* Field: Order: Billing address: Full name */
  $handler->display->display_options['fields']['billing_full_name']['id'] = 'billing_full_name';
  $handler->display->display_options['fields']['billing_full_name']['table'] = 'uc_orders';
  $handler->display->display_options['fields']['billing_full_name']['field'] = 'billing_full_name';
  $handler->display->display_options['fields']['billing_full_name']['label'] = '';
  $handler->display->display_options['fields']['billing_full_name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['billing_full_name']['element_label_colon'] = FALSE;
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = 'Product title';
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<?php 
    $title = db_query("SELECT title FROM {uc_order_products} WHERE order_product_id = :pid", array(\':pid\' => $row->order_product_id))->fetchField();
    print $title; ?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Order: Creation date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'uc_orders';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Order creation date';
  $handler->display->display_options['fields']['created']['date_format'] = 'uc_store';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = 'Balance';
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php 
    $balance = db_query("SELECT SUM(amount) FROM {uc_downpayment_payments} WHERE status = 0 AND order_product_id = :pid", array(\':pid\' => $row->order_product_id))->fetchField();
    $balance_value = $balance ? $balance : 0.00;
    print variable_get("uc_currency_sign", "$") . number_format($balance_value, 2); ?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_2']['id'] = 'php_2';
  $handler->display->display_options['fields']['php_2']['table'] = 'views';
  $handler->display->display_options['fields']['php_2']['field'] = 'php';
  $handler->display->display_options['fields']['php_2']['label'] = 'Payer\'s full name';
  $handler->display->display_options['fields']['php_2']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_2']['php_output'] = '<?php print $row->billing_first_name . \' \' . $row->billing_last_name . \' \' . $row->billing_full_name; ?>';
  $handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_3']['id'] = 'php_3';
  $handler->display->display_options['fields']['php_3']['table'] = 'views';
  $handler->display->display_options['fields']['php_3']['field'] = 'php';
  $handler->display->display_options['fields']['php_3']['label'] = '';
  $handler->display->display_options['fields']['php_3']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php_3']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_3']['php_output'] = '<?php
    print l(\'View\', \'admin/store/orders/downpayments/\'. $row->order_product_id);
    ?>';
  $handler->display->display_options['fields']['php_3']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_3']['php_click_sortable'] = '';
  /* Filter criterion: Global: PHP */
  $handler->display->display_options['filters']['php']['id'] = 'php';
  $handler->display->display_options['filters']['php']['table'] = 'views';
  $handler->display->display_options['filters']['php']['field'] = 'php';
  $handler->display->display_options['filters']['php']['use_php_setup'] = 0;
  $handler->display->display_options['filters']['php']['php_filter'] = 'if (db_query("SELECT dpid FROM {uc_downpayment_payments} WHERE order_product_id = :opi", array(\':opi\' => $row->order_product_id))->fetchField()) {
    return FALSE;
  }
  else {
    return TRUE;
  } ';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/store/orders/downpayments';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Partially paid orders';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  $views['uc_downpayment_admin'] = $view;
  
  $view = new view();
  $view->name = 'uc_downpayment';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'uc_downpayment_payments';
  $view->human_name = 'uc_downpayment';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Down Payments';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view own down payments';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['style_plugin'] = 'table';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no down payments to be displayed.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Field: Down payments: Down payment ID */
  $handler->display->display_options['fields']['dpid']['id'] = 'dpid';
  $handler->display->display_options['fields']['dpid']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['dpid']['field'] = 'dpid';
  /* Contextual filter: Down payments: Order product ID */
  $handler->display->display_options['arguments']['order_product_id']['id'] = 'order_product_id';
  $handler->display->display_options['arguments']['order_product_id']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['arguments']['order_product_id']['field'] = 'order_product_id';
  $handler->display->display_options['arguments']['order_product_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['order_product_id']['summary']['format'] = 'default_summary';

  /* Display: Down Payments Admin */
  $handler = $view->new_display('page', 'Down Payments Admin', 'page');
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Down payments: Down payment ID */
  $handler->display->display_options['fields']['dpid']['id'] = 'dpid';
  $handler->display->display_options['fields']['dpid']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['dpid']['field'] = 'dpid';
  $handler->display->display_options['fields']['dpid']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['dpid']['alter']['path'] = 'admin/store/orders/downpayments/payment/[dpid]';
  /* Field: Down payments: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['label'] = 'Price';
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '2';
  $handler->display->display_options['fields']['amount']['prefix'] = '$';
  /* Field: Down payments: Down payment Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['label'] = 'Status';
  /* Field: Down payments: Due date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['date_format'] = 'uc_store';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = 'Edit';
  $handler->display->display_options['fields']['nothing']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['nothing']['alter']['path'] = 'admin/store/orders/downpayments/payment/[dpid]';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Down payments: Order product ID */
  $handler->display->display_options['arguments']['order_product_id']['id'] = 'order_product_id';
  $handler->display->display_options['arguments']['order_product_id']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['arguments']['order_product_id']['field'] = 'order_product_id';
  $handler->display->display_options['arguments']['order_product_id']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['order_product_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['order_product_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['order_product_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['order_product_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Down payments: Down payment Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['path'] = 'admin/store/orders/downpayments/%';

  /* Display: Down Payments User */
  $handler = $view->new_display('page', 'Down Payments User', 'page_1');
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Down payments: Down payment ID */
  $handler->display->display_options['fields']['dpid']['id'] = 'dpid';
  $handler->display->display_options['fields']['dpid']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['dpid']['field'] = 'dpid';
  $handler->display->display_options['fields']['dpid']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['dpid']['alter']['text'] = '[dpid]';
  /* Field: Down payments: Order ID */
  $handler->display->display_options['fields']['order_id']['id'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['order_id']['field'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['label'] = 'Original Order';
  $handler->display->display_options['fields']['order_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['order_id']['alter']['path'] = 'admin/store/orders/[order_id]';
  $handler->display->display_options['fields']['order_id']['separator'] = '';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Product';
  /* Field: Down payments: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['label'] = 'Balance';
  $handler->display->display_options['fields']['amount']['precision'] = '0';
  $handler->display->display_options['fields']['amount']['prefix'] = '$';
  /* Field: Down payments: Due date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['date_format'] = 'uc_store';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = 'Pay';
  $handler->display->display_options['fields']['nothing']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['nothing']['alter']['path'] = 'user/[uid]/downpayments/[dpid]/add_to_cart';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: User: Uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'users';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Down payments: Down payment Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'uc_downpayment_payments';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = array(
    0 => '0',
  );
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['path'] = 'user/%/downpayments';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Down Payments';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  $views['uc_downpayment'] = $view;

  return $views;
}
